Video Screencast Help

Steps to upgrade EV 9.0.2 to EV 10.0

Created: 12 Feb 2013 • Updated: 26 Feb 2013 | 12 comments
This issue has been solved. See solution.

Hello Folks,

I have EV 9.0.2 Running on Windows 2008 R2 Sp1 64 bit Hardware.

I need to plan of upgrading EV 9.0.2 to EV 10.0.

Can i just simply do an inplace upgrade on the same hardware where i have EV 9.0.2 or is there any other steps i have follow in order to perform this upgradation seamlessly.

All inputs are highly appreciated.

Comments 12 CommentsJump to latest comment

Rob.Wilcox's picture

Are you running on Windows 2008 R2 x64?

Have you looked at the media, which contains upgrade instructions ...

GertjanA's picture

W2008R2 X64 required.

For the rest, install the deployment scanner of EV10, run it. You'll see if it is possible or not. If OS and prereqs are ok, you can do an inplace upgrade. If you use Discovery Accelerator, there might be a need to first goto 9sp4 first.

 

Thank you, Gertjan, MCSE, MCITP,MCTS, SCS, STS
Company: www.t2.nl

www.quadrotech-it.com

www.symantec.com/vision

Cdee's picture

Yes it is a x64 Bit Hardware and WIN2K8 SP1 Ent edition.

Also we use both DA and CA in our enviroment.

Sr Messaging Engg.

John Santana's picture

Is there any files or directory that we need to backup first ?

Kind regards,

John Santana
IT Professional

--------------------------------------------------

Please be nice to me as I'm newbie in this forum.

GertjanA's picture

As stated, you need

W2008R2 X64, NOT W2008 SP1. IT has to be R2.

As for files to backup:

Changed language files (like the enabled for archiving message), licenses (not necessary, but just in case), custom registry settings.

That is it.

Thank you, Gertjan, MCSE, MCITP,MCTS, SCS, STS
Company: www.t2.nl

www.quadrotech-it.com

www.symantec.com/vision

SOLUTION
ManishN's picture

If you are on x64 platform then you can go for it. Before moving ahead go through the following articles

http://www.symantec.com/docs/TECH38537  -- Enterprise Vault Compatibility List

http://www.symantec.com/docs/DOC4441  -- Symantec Enterprise Vault 10.0 Original Release - Release Notes and Upgrade Instructions

As from my experience you can also ref. following tips

1. Any custom changes like webpage forms, IIS Security or EVPM Scripts etc. best to make a copy of it.
2. Backup the Registry before starting upgrade.
3. Backup your Production Environment i.e. it includes SQL, EV Vault Stores and partitions
4. Make Sure MSMQ is empty
5. Watchfile and Journalarchive table should be empty, specifically Watchfile table.
6. Stop all EV Services
7. Run EV Binaries
8. Reboot the Server 

 

 

Regards,

MN

John Santana's picture

Manish,

Thank you for the suggestion, but how can I check the following steps:

"5. Watchfile and Journalarchive table should be empty, specifically Watchfile table." ?

Kind regards,

John Santana
IT Professional

--------------------------------------------------

Please be nice to me as I'm newbie in this forum.

JesusWept3's picture

You do *not* have to wait for the JournalArchive table to be empty, as its very very very rare that you will have an empty journalarchive table, since it will keep transaction history for 32 days by default

As for the watchfile table, that holds all the items its going to scan for backups
certainly not critical that it be empty at all, i would not let it stop you from performing an upgrade

 

Rob.Wilcox's picture

ManishN, your comment about "x64 platform then you can go for it".. is not correct.

As Gertjan says it has to be W2k8R2 x64.

 

@Cdee, please have a look at the upgrade guides on the media.

ManishN's picture

Guys i am sorry if it has created any confusion with my line "x64 platform then you can go for it"  what i meant is if you are on 64bit platform then you need to ref. the Compatibility Guide along with upgrade notes and some tips.

As i see Cdee has mentioned "I have EV 9.0.2 Running on Windows 2008 R2 Sp1 64 bit Hardware." which is think is ok.

 

 

Regards,

MN

Ksimir's picture

You're running Windows Server 2008 R2 SP1. That means you can in-place upgrade EV 9 SP2 to EV 10.

Just run Deployment Scanner to valid EV 10 prerequisites.

Cdee's picture

Thanks Everyone for the inputs on this.

Yes i have Windows 2008 R2, and i understand that i can comfortably upgrade it to EV 10.0

 

Sr Messaging Engg.